Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79104 - Davicom Ethernet Driver doesnt work on HP Pavilion
Summary: Davicom Ethernet Driver doesnt work on HP Pavilion
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 19:05 UTC by Need Real Name
Modified: 2013-07-03 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-06 07:56:20 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-05 19:05:00 UTC
Description of Problem:

just installed rh80 on HP-pavilion, Davicom NIC was correctly identified,
but on boot it fails to initialize properly.  At power-up the Green LED
is on, it is turned off when boot hits the ETH0 step.

Per D.Becker (at Scyld site), Ive set BIOS OS to Other.

Ive added 'options eth0 debug=1', the log responds, 
but nothing there looks amiss.
I can copy to floppy and sneakernet it if you'd like..

Ive also turned off dhcp, given it a static addr. This results in
the addr showing in ifconfig output - card is UP, but doesnt work.
Ping to local addy works, but (obviously) not to other end.

If I comment out the 'alias eth0 dmfe' in modules.conf, the light
stays on, and ETH0 boot step succeeds (cuz nothing failed).
Then I do 'insmod dmfe' and light immediately goes out.


Version-Release number of selected component (if applicable):
driver from kernel-2.4.18-14

How Reproducible:  every time.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Need Real Name 2002-12-06 04:03:40 UTC
I pulled card, plugged into my Dell D-233, failed there as well
(eliminating HP-Pavilion BIOS issues)

filtered from /var/log/messages ...

Dec  5 20:48:56 groucho kernel: dmfe: Davicom DM9xxx net driver, version 1.36.4
(2002-01-17)
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_init_one() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_get_stats 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_do_ioctl() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_get_stats 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_open 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_init_dm910x() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_parse_srom()  0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_descriptor_init() 0
Dec  5 20:48:56 groucho kernel: dmfe: send_filter_frame() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_interrupt() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_set_filter_mode() 0
Dec  5 20:48:56 groucho kernel: dmfe: Set multicast address 0
Dec  5 20:48:56 groucho kernel: dmfe: send_filter_frame() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_interrupt() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_get_stats 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_set_filter_mode() 0
Dec  5 20:48:56 groucho kernel: dmfe: Set multicast address 0
Dec  5 20:48:56 groucho kernel: dmfe: send_filter_frame() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_interrupt() 0
Dec  5 20:48:56 groucho kernel: dmfe: dmfe_get_stats 0



Comment 2 Need Real Name 2002-12-06 07:56:13 UTC
After some more card-swapping - the Davicom works on my Dell, and my 3Com
(3c59x) doesnt work on the HP, nor does the tulip.

Its gotta be an HP thing, custom BIOS nonsense.  chg to NOTABUG if you wish, Ill
search more.. thx.


Note You need to log in before you can comment on or make changes to this bug.